﻿@model BlogVM
@{
    ViewData["Title"] = "Index";
}
<!--====== Breadcrumb Part Start ======-->

<div class="breadcrumb-area">
    <div class="container-fluid custom-container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a asp-controller="Home" asp-action="Index">Home</a></li>
                <li class="breadcrumb-item"><a asp-action="Index">Blog</a></li>
                <li class="breadcrumb-item active">Blog Single</li>
            </ol>
        </nav>
    </div> <!-- container -->
</div>

<!--====== Breadcrumb Part Ends ======-->
<!--====== Blog Part Start ======-->
<section class="blog-page pt-20">
    <div class="container-fluid custom-container">
        <div class="row flex-lg-row-reverse justify-content-end">
            <div class="col-lg-9">
                <div class="blog-posts">
                    <div class="row">
                        @if (Model.Category == null)
                        {
                            @foreach (BlogHome item in Model.BlogHomes)
                            {
                                <div class="col-md-6">
                                    <div class="single-blog-post blog-grid-post mt-30">
                                        <div class="blog-post-media">
                                            <div class="blog-image">
                                                <a asp-action="Single" asp-route-id="@item.Id"><img src="~/assets/images/@item.Image" alt="blog"></a>
                                            </div>
                                        </div>
                                        <div class="blog-post-content">
                                            <h4 class="blog-title"><a asp-action="Single" asp-route-id="@item.Id">@item.Title</a></h4>
                                            <ul class="blog-meta">
                                                <li><a href="#"><i class="fas fa-user-circle"></i> @item.Admin</a></li>
                                                <li><a href="#"><i class="fas fa-calendar-alt"></i> @item.History</a></li>
                                            </ul>
                                            <p>@item.Description</p>
                                            <a asp-action="Single" asp-route-id="@item.Id" class="main-btn main-btn-2">Read More</a>
                                        </div>
                                    </div> <!-- single blog post -->
                                </div>
                            }
                        }
                        else
                        {

                            @foreach (BlogHome item in Model.Category.BlogHomes)
                            {
                                <div class="col-md-6">
                                    <div class="single-blog-post blog-grid-post mt-30">
                                        <div class="blog-post-media">
                                            <div class="blog-image">
                                                <a asp-action="Single" asp-route-id="@item.Id"><img src="~/assets/images/@item.Image" alt="blog"></a>
                                            </div>
                                        </div>
                                        <div class="blog-post-content">
                                            <h4 class="blog-title"><a asp-action="Single" asp-route-id="@item.Id">@item.Title</a></h4>
                                            <ul class="blog-meta">
                                                <li><a href="#"><i class="fas fa-user-circle"></i> @item.Admin</a></li>
                                                <li><a href="#"><i class="fas fa-calendar-alt"></i> @item.History</a></li>
                                            </ul>
                                            <p>@item.Description</p>
                                            <a asp-action="Single" asp-route-id="@item.Id" class="main-btn main-btn-2">Read More</a>
                                        </div>
                                    </div> <!-- single blog post -->
                                </div>
                            }

                        }

                    </div>
                </div> <!-- blog posts -->

                <ul class="pagination justify-content-center mt-30">
                    <li><a href="#"><i class="fal fa-chevron-left"></i></a></li>
                    <li class="active"><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#"><i class="fal fa-chevron-right"></i></a></li>
                </ul>
            </div>

            <div class="col-lg-3">
                <div class="blog-sidebar">
                    <div class="sidebar-widget mt-30">
                        <h4 class="sidebar-title">Search</h4>
                        <div class="blog-sidebar-search">
                            <form action="#">
                                <input type="text" placeholder="Search">
                                <button><i class="fas fa-search"></i></button>
                            </form>
                        </div>
                    </div> <!-- sidebar widget -->

                    <div class="sidebar-widget mt-30">
                        <h4 class="sidebar-title">Categories</h4>
                        <div class="blog-sidebar-categories">
                            <ul class="categories-list">
                                @foreach (Category item in Model.Categories)
                                {
                                    <li><a asp-route-id="@item.Id">@item.Name</a></li>
                                }
                                
                            </ul>
                        </div>
                    </div> <!-- sidebar widget -->

                    <div class="sidebar-widget mt-30">
                        <h4 class="sidebar-title">Resent Post</h4>
                        <div class="blog-sidebar-post">
                            @foreach (BlogHome item in Model.BlogHomes)
                            {
                                <div class="single-mini-post d-flex">
                                    <div class="post-thumb">
                                        <a asp-action="Single" asp-route-id="@item.Id"><img src="~/assets/images/@item.Image" alt="blog"></a>
                                    </div>
                                    <div class="post-content media-body">
                                        <h5 class="post-title"><a asp-action="Single" asp-route-id="@item.Id">@item.Title</a></h5>
                                        <span class="date">@item.History</span>
                                    </div>
                                </div>
                            }
                       </div>
                    </div> <!-- sidebar widget -->

                    <div class="sidebar-widget mt-30">
                        <h4 class="sidebar-title">Popular Tags</h4>
                        <div class="blog-sidebar-tags">
                            <ul class="tag-list">
                                <li><a href="#">New</a></li>
                                <li><a href="#">Bags</a></li>
                                <li><a href="#">Kids</a></li>
                                <li><a href="#">Electronic</a></li>
                                <li><a href="#">Shirts</a></li>
                                <li><a href="#">Game</a></li>
                                <li><a href="#">Camera</a></li>
                            </ul>
                        </div>
                    </div>
                </div> <!-- blog sidebar -->
            </div>
        </div> <!-- row -->
    </div> <!-- container -->
</section>

<!--====== Blog Part Ends ======-->
